View Issue Details

Category
SSPBT:本体(SSP)
SeverityminorReproducibilityhave not tried 
Status closed 
Summary0000320: some error i just found
Description

A friend of mine downloaded the taromati2 and ssp simultaneous installation package online at https://github.com/Taromati2/package-factory/releases/latest/download/StarterPack.7z
She then discovered a number of problems.

  1. the silent update on initial does not seem to work, this may be my problem, I will check it later
  2. the checkonly update returns twice: once for success and once for none
  3. There seems to be some problems with the unpacking of nar, creating empty directories that should not be there, as follows.
    Taromati2/ghosմꮸԮ꩜Ԯ꤀ԮꞤԮꙈԮꓬԮꎐԮꈴԮꃘԮ齼Ԯ鸠Ԯ
    Taromati2/g
    Taromati2/ghost/mtxt
    Taromati2/ghost/mast

her system info as follow:
SSP/2.5.34 (20211006-1; Windows NT 6.1)

Compiler/12.00.8804 MFC/6.00.8063 SPDebugger/2.16.23119.A

libpng/1.6.38.git zlib/1.2.11.1-motley libjpeg/9d 12-Jan-2020

OpenSSL 3.1.0-dev

TinyXML-2 9.0.0

SQLite 3.36.0

Windows 7 SP1/Wow64@x64 [UAC Enabled]

Intel 0.6.14.10 3192MHz Features:MMX SSE HT AES-NI

(Intel(R) Core(TM) i7-8700 CPU @ 3.20GHz)

Package:1 Node:1 Core:6 Thread:12

Phys.Mem: 5223/8022MB All.Mem: 10543/16042MB

Network: IPv4/IPv6

192.168.68.1(IPv4)

192.168.28.1(IPv4)

192.168.18.136(IPv4)

192.168.253.1(IPv4)

Monitor:

0: \.\DISPLAY1 - Work=0,0,1920,1040 Monitor=0,0,1920,1080 Bpp=32 [PRIMARY]

TagsNo tags attached.
Attach Tags

Activities

guest

2021-10-15 10:13

reporter   ~0000827

In my testing so far
Issue 3 is stable and reproducible on Windows 7
Issues 1 and 2 are probably the same issue: when taromati is triggered with OnUpdateFailure during a silent update and reference0 is "executing", it cancels the silent update and returns to the normal update

ponapalt

2021-11-09 09:37

administrator   ~0000896

How about latest version of SSP? I've made significant change about stability.
Below problem may be caused because of memory management errors in older versions.

guest

2021-11-10 00:39

reporter   ~0000906

Thank you!
I'll go back to the machine with this problem tomorrow morning and do another test

guest

2021-11-10 09:37

reporter   ~0000908

fixed

ponapalt

2021-11-11 12:45

administrator   ~0000909

close

Issue History

Date Modified Username Field Change
2021-10-13 11:06 guest New Issue
2021-10-15 10:13 guest Note Added: 0000827
2021-11-09 09:37 ponapalt Assigned To => ponapalt
2021-11-09 09:37 ponapalt Status new => feedback
2021-11-09 09:37 ponapalt Note Added: 0000896
2021-11-10 00:39 guest Note Added: 0000906
2021-11-10 00:39 guest Status feedback => assigned
2021-11-10 09:37 guest Note Added: 0000908
2021-11-11 12:45 ponapalt Status assigned => closed
2021-11-11 12:45 ponapalt Resolution open => fixed
2021-11-11 12:45 ponapalt Note Added: 0000909